# Graphic2d_Primitive.hxx File Reference

`#include <Standard.hxx>`
`#include <Handle_Graphic2d_Primitive.hxx>`
`#include <Graphic2d_GOPtr.hxx>`
`#include <Standard_ShortReal.hxx>`
`#include <Standard_Integer.hxx>`
`#include <TColStd_MapOfInteger.hxx>`
`#include <Graphic2d_TypeOfPrimitive.hxx>`
`#include <Handle_TColStd_HSequenceOfInteger.hxx>`
`#include <MMgt_TShared.hxx>`
`#include <Handle_Graphic2d_Drawer.hxx>`
`#include <Standard_Boolean.hxx>`
`#include <Graphic2d_GraphicObject.hxx>`
`#include <Standard_Real.hxx>`
`#include <Graphic2d_PickMode.hxx>`
`#include <Quantity_Length.hxx>`
`#include <Graphic2d_TransientManager.hxx>`
`#include <Handle_Graphic2d_GraphicObject.hxx>`
`#include <Aspect_FStream.hxx>`